﻿using DanielVaughan.Data;

namespace DanielVaughan.WindowsPhone7Unleashed.TodoList
{
	public class TodoDatabaseUtility : DatabaseUtility
	{
		static string databaseFileName = "isostore:Todo.sdf";

		public TodoDatabaseUtility(string databaseFileName = null)
			: base(databaseFileName ?? TodoDatabaseUtility.databaseFileName)
		{
			/* Intentionally left blank. */
		}
		
		public static string DefaultDatabaseFileName
		{
			get
			{
				return databaseFileName;
			}
			set
			{
				databaseFileName = value;
			}
		}

		public TodoDataContext CreateContext()
		{
			TodoDataContext result = new TodoDataContext(ConnectionString);
			return result;
		}

		public void InitializeDatabase(bool wipe = false)
		{
			TodoDataContext dataContext = new TodoDataContext(ConnectionString);
			InitializeDatabase(dataContext, wipe);
		}
	}
}