﻿using DanielVaughan;

using Microsoft.Phone.Controls;

namespace DanielVaughan.WindowsPhone7Unleashed.TodoList
{
	public partial class TodoListView : PhoneApplicationPage
	{
		public TodoListView()
		{
			InitializeComponent();

			var todoService = Dependency.Resolve<ITodoService, TodoService>();
			DataContext = new TodoListViewModel(todoService, new DeviceProperties());
		}
	}
}