﻿using System.Collections.Generic;
using System.Text.RegularExpressions;

namespace DanielVaughan.Network
{
	public static class UrlUtility
	{
		/* TODO: [DV] Comment. */
		public static Dictionary<string, string> ParseQueryString(string url)
		{
			ArgumentValidator.AssertNotNull(url, "url");

			Dictionary<string, string> dictionary = new Dictionary<string, string>();
			/* Ignore the address. */
			if (url.Contains("?"))
			{
				url = url.Substring(url.IndexOf('?') + 1);
			}

			foreach (string nameAndValue in Regex.Split(url, "&"))
			{
				string[] singlePair = Regex.Split(nameAndValue, "=");
				dictionary.Add(singlePair[0],
							   singlePair.Length == 2 ? singlePair[1] : string.Empty);
			}
			return dictionary;
		}
	}
}
