﻿using System.Collections.Generic;

namespace DanielVaughan.WindowsPhone7Unleashed
{
	public interface IStatePreservation
	{
		void LoadState(IDictionary<string, object> persistentStateDictionary,
					    IDictionary<string, object> transientStateDictionary,
                        bool loadTransientStateRequired);

		void SaveState(IDictionary<string, object> persistentStateDictionary,
						IDictionary<string, object> transientStateDictionary);
	}
}
