﻿using System;
using System.Globalization;
using System.Windows.Data;
using System.Windows.Media;

namespace DanielVaughan.WindowsPhone7Unleashed.ValueConverters
{
	public class BooleanToBrushConverter : IValueConverter
	{
		public Brush BrushIfFalse { get; set; }
		public Brush BrushIfTrue { get; set; }

		public object Convert(
			object value, Type targetType, object parameter, CultureInfo culture)
		{
			return value != null && (bool)value ? BrushIfTrue : BrushIfFalse;
		}

		public object ConvertBack(
			object value, Type targetType, object parameter, CultureInfo culture)
		{
			throw new NotImplementedException("Only supports a one way binding");
		}
	}
}