﻿using System;

using DanielVaughan.WindowsPhone7Unleashed.Examples.Bing.Route;

namespace DanielVaughan.WindowsPhone7Unleashed.Examples.BingMaps.Routing
{
	public class RouteCalculationResult
	{
		public RouteResult RouteResult { get; private set; }
		public RouteCalculationError Error { get; private set; }

		public RouteCalculationResult(
			RouteResult routeResult, RouteCalculationError error = null)
		{
			RouteResult = routeResult;
			Error = error;
			if (routeResult == null && error == null)
			{
				throw new ArgumentException("Both arguments cannot be null.");
			}
		}
	}
}