﻿using System.Collections.Generic;
using System.Windows;

using DanielVaughan.Windows;
using DanielVaughan.Windows.Automation.Peers;

using Microsoft.Phone.Controls;

using System.Linq;

namespace DanielVaughan.WindowsPhone7Unleashed
{
	public partial class ChatClientView : PhoneApplicationPage
	{
		public ChatClientView()
		{
			InitializeComponent();
			DataContext = new ChatClientViewModel(new MockChatService());
		}

//		internal void ClickSendMessage()
//		{
//			((IAppBarItem)button_Send).PerformClick();
//		}

		internal IAppBarItem SendButton
		{
			get
			{
				return button_Send;
			}
		}

		internal void SetMessageText(string text)
		{
			textBlock_Message.Text = text;
		}

		internal IEnumerable<string> GetMessages()
		{
			return listBox.Items.Select(item => item.ToString());
		}

		public bool ButtonClicked { get; private set; }

        void button_AutomationTest_Click(object sender, RoutedEventArgs e)
        {
            ButtonClicked = true;
        }
	}
}