﻿using System;

namespace DanielVaughan.WindowsPhone7Unleashed
{
	public interface IChatService
	{
		void SendMessage(string message);
		event EventHandler<ChatMessageEventArgs> MessageReceived;
	}

	public class ChatMessageEventArgs : EventArgs
	{
		public string Message { get; private set; }

		public ChatMessageEventArgs(string message)
		{
			Message = message;
		}
	}
}