﻿using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Resources;

using Microsoft.Phone.Controls;

namespace DanielVaughan.WindowsPhone7Unleashed.Examples
{
	public partial class ControlExamplesView : PhoneApplicationPage
	{
		public ControlExamplesView()
		{
			InitializeComponent();
			DataContext = new ControlExamplesViewModel();
			SetFontSource();
//			Loaded += new RoutedEventHandler(ControlExamplesView_Loaded);
		}

//		void ControlExamplesView_Loaded(object sender, RoutedEventArgs e)
//		{
//			autoFocussedTextBox.Focus();
//		}

		void SetFontSource()
		{
			Uri fontUri = new Uri("ControlExamples/Fonts/orbitron-medium.ttf", 
																UriKind.Relative);
			StreamResourceInfo resourceInfo = Application.GetResourceStream(fontUri);
			textBlockWithFontSource.FontSource = new FontSource(resourceInfo.Stream);
			textBlockWithFontSource.FontFamily = new FontFamily("Orbitron");
		}
	}
}