﻿using System;
using System.IO.IsolatedStorage;
using System.Threading;
using System.Windows.Controls;
using System.Windows.Input;
using System.Windows.Navigation;

using Microsoft.Phone.Controls;
using Microsoft.Phone.Net.NetworkInformation;
using Microsoft.Phone.Shell;

using Serialization;

namespace DanielVaughan.WindowsPhone7Unleashed
{
	public partial class EbaySearchView : PhoneApplicationPage
	{
		public EbaySearchView()
		{
			InitializeComponent();
//			DataContext = new EbaySearchViewModel(
//				() => new EbayClient(), new NetworkConnectionMonitor());

			DataContext = new EbaySearchStateViewModel(
				() => new EbayClient(), new NetworkConnectionMonitor());
		}

		IEbaySearchViewModel ViewModel
		{
			get
			{
				return (IEbaySearchViewModel)DataContext;
			}
		}

		void TextBox_KeyUp(object sender, KeyEventArgs e)
		{
			if (e.Key == Key.Enter)
			{
				e.Handled = true;
				TextBox textBox = (TextBox)sender;
				this.Focus();
				ViewModel.SearchCommand.Execute(textBox.Text);
			}
		}

//		protected override void OnNavigatedTo(NavigationEventArgs e)
//		{
//			base.OnNavigatedTo(e);
//			bool containsState = IsolatedStorageSettings.ApplicationSettings.Contains("abc");
//			IsolatedStorageSettings.ApplicationSettings["abc"] = "abc";
//			IsolatedStorageSettings.ApplicationSettings["Unpersistable"] = new Unpersistable("abc");
//		}
//
//		class Unpersistable
//		{
//			public Unpersistable(string sljdsf)
//			{
//			}
//		}
	}

	public interface IEbaySearchViewModel
	{
		ICommand SearchCommand { get; }
	}
}