﻿using System.Data.Linq;

using DanielVaughan.Data;

namespace DanielVaughan.WindowsPhone7Unleashed.Examples
{
	public class BankingDataContext : DataContext
	{
		public BankingDataContext(string connection) : base(connection)
		{
			Log = new DebugStreamWriter();
		}

		public Table<BankAccount> BankAccounts
		{
			get
			{
				return GetTable<BankAccount>();
			}
		}
	}
}
