﻿using System.ComponentModel;
using System.Windows.Navigation;

using DanielVaughan.Utilities;

using Microsoft.Phone.Controls;

namespace DanielVaughan.WindowsPhone7Unleashed.Examples
{
    public partial class DeviceStatusView : PhoneApplicationPage
    {
        public DeviceStatusView()
        {
            InitializeComponent();
            DataContext = new DeviceStatusViewModel();
        }

        DeviceStatusViewModel ViewModel
        {
            get
            {
                return (DeviceStatusViewModel)DataContext;
            }
        }

        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
            base.OnNavigatedTo(e);
            ViewModel.Start();
        }

        protected override void OnNavigatedFrom(NavigationEventArgs e)
        {
            base.OnNavigatedFrom(e);
            ViewModel.Stop();
        }

        //        protected override void OnBackKeyPress(CancelEventArgs e)
        //        {
        //            ScreenCaptureUtility.CaptureImageToMediaLibrary(this);
        //            e.Cancel = true;
        //            base.OnBackKeyPress(e);
        //        }
    }
}