﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Windows.Controls;
using System.Windows.Data;
using System.Linq;

using DanielVaughan.Windows;

using Microsoft.Phone.Controls;

namespace DanielVaughan.WindowsPhone7Unleashed.Examples
{
	public partial class ConventionalValidationView : PhoneApplicationPage
	{
		public ConventionalValidationView()
		{
			InitializeComponent();

			DataContext = new ConventionalValidationViewModel();
		}

		void Button_Tap(object sender, System.Windows.Input.GestureEventArgs e)
		{
			IEnumerable<TextBox> children = ContentPanel.GetDescendents<TextBox>();
			foreach (TextBox textBox in children)
			{
				BindingExpression bindingExpression 
					= textBox.GetBindingExpression(TextBox.TextProperty);
				if (bindingExpression != null)
				{
					bindingExpression.UpdateSource();
				}
			}
		}

//		void TextBox_TextChanged(object sender, TextChangedEventArgs e)
//		{
//			TextBox textBox = sender as TextBox;
//			if (textBox != null)
//			{
//				BindingExpression bindingExpression
//					= textBox.GetBindingExpression(TextBox.TextProperty);
//				if (bindingExpression != null)
//				{
//					bindingExpression.UpdateSource();
//				}
//			}
//		}
	}

	public class DummyConverter : IValueConverter
	{
		public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
		{
			return value;
		}

		public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
		{
			if ("WP78".Equals(value))
			{
				throw new Exception("Invalid!");
			}
			return value;
		}
	}
}