﻿using System.Device.Location;
using System.Windows.Input;

using Microsoft.Phone.Tasks;

namespace DanielVaughan.WindowsPhone7Unleashed
{
	public class BingMapsTaskViewModel : ViewModelBase
	{
        readonly BingMapsTask bingMapsTask = new BingMapsTask();

        public BingMapsTaskViewModel() : base("show on map")
        {
            searchCommand = new DelegateCommand(arg => ShowTask());
        }

	    void ShowTask()
	    {
	        bingMapsTask.SearchTerm = searchTerm;
            //bingMapsTask.Center = new GeoCoordinate(50.08021, 14.416983);
            bingMapsTask.Show();  
	    }

	    readonly DelegateCommand searchCommand;

		public ICommand SearchCommand
		{
			get
			{
				return searchCommand;
			}
		}

	    string searchTerm = "prague hotel";

	    public string SearchTerm
	    {
	        get
	        {
	            return searchTerm;
	        }
	        set
	        {
	            Assign(() => SearchTerm, ref searchTerm, value);
	        }
	    }
	}
}
