﻿using System;
using System.Windows.Input;

using Microsoft.Phone.Tasks;

namespace DanielVaughan.WindowsPhone7Unleashed
{
	public class LaunchWebBrowserViewModel : ViewModelBase
	{
		public LaunchWebBrowserViewModel() : base("web browser launcher")
		{
			launchCommand = new DelegateCommand(
				delegate
					{
                        Uri uri = new Uri(url, UriKind.Absolute);			    
                        WebBrowserTask task = new WebBrowserTask { Uri = uri };
						task.Show();
					});
		}

		string url;

		public string Url
		{
			get
			{
				return url;
			}
			set
			{
				Assign(() => Url, ref url, value);
			}
		}

		readonly DelegateCommand launchCommand;

		public ICommand LaunchCommand
		{
			get
			{
				return launchCommand;
			}
		}
	}
}
