﻿using System.Diagnostics;
using System.Windows.Navigation;

using Microsoft.Phone.Controls;

namespace DanielVaughan.WindowsPhone7Unleashed
{
	public partial class PhotoChooserView : PhoneApplicationPage
	{
		public PhotoChooserView()
		{
			InitializeComponent();
			DataContext = new PhotoChooserViewModel();
		}

		protected override void OnNavigatedTo(NavigationEventArgs e)
		{
			base.OnNavigatedTo(e);

			const string flagKey = "PhotoChooserView_OnNavigatedToPreviouslyCalled";
			bool alreadyCalled = State.Keys.Contains(flagKey);

			if (alreadyCalled && StateManager.ShouldLoadTransientState)
			{
				Debug.WriteLine("Should load transient state.");
			}
			else
			{
				Debug.WriteLine("Should not load transient state.");
			}
			State[flagKey] = true;
		}
	}
}