﻿using System.Windows.Input;

using Microsoft.Phone.Tasks;

namespace DanielVaughan.WindowsPhone7Unleashed
{
	public class SearchViewModel : ViewModelBase
	{
		public SearchViewModel()
		{
			searchCommand = new DelegateCommand(
				delegate
					{
						SearchTask searchTask = new SearchTask
						                        	{
						                        		SearchQuery = searchQuery
						                        	};
						searchTask.Show();
					});
		}

		string searchQuery;

		public string SearchQuery
		{
			get
			{
				return searchQuery;
			}
			set
			{
				Assign(() => SearchQuery, ref searchQuery, value);
			}
		}

		readonly DelegateCommand searchCommand;

		public ICommand SearchCommand
		{
			get
			{
				return searchCommand;
			}
		}
	}
}
