﻿using System.Windows.Input;

using Microsoft.Phone.Tasks;

namespace DanielVaughan.WindowsPhone7Unleashed
{
	public class SmsViewModel : ViewModelBase
	{
		public SmsViewModel()
		{
			composeCommand = new DelegateCommand(
				delegate
					{
						SmsComposeTask smsComposeTask 
							= new SmsComposeTask
							  	{
							  		To = "555555555", 
									Body = "Hi from Windows Phone 7!"
							  	};
						smsComposeTask.Show();
					});
		}

		readonly DelegateCommand composeCommand;

		public ICommand ComposeCommand
		{
			get
			{
				return composeCommand;
			}
		}
	}
}
