﻿using System.Diagnostics;
using System.Windows.Navigation;

using Microsoft.Phone.Controls;

namespace DanielVaughan.WindowsPhone7Unleashed.Examples
{
	public partial class MainPage : PhoneApplicationPage
	{
		public MainPage()
		{
			InitializeComponent();

			DataContext = new MainPageViewModel();
		}

		MainPageViewModel ViewModel
		{
			get
			{
				return (MainPageViewModel)DataContext;
			}
		}

		protected override void OnNavigatedTo(NavigationEventArgs e)
		{
			base.OnNavigatedTo(e);
			ViewModel.RefreshCommand.Execute(null);
			Debug.WriteLine("MainPage OnNavigatedTo");
		}

		protected override void OnNavigatedFrom(NavigationEventArgs e)
		{
			base.OnNavigatedFrom(e);
			ViewModel.SaveUrlCommand.Execute(e.Uri.ToString());
		}
	}
}
