﻿using System;
using System.Diagnostics;
using System.Windows;
using System.Windows.Navigation;

using Microsoft.Phone.Controls;
using Microsoft.Phone.Shell;

namespace DanielVaughan.WindowsPhone7Unleashed.Examples.Navigation
{
	public partial class ProductsView : PhoneApplicationPage
	{
		public ProductsView()
		{
			InitializeComponent();
		}

		ProductsViewModel ViewModel
		{
			get
			{
				return (ProductsViewModel)DataContext;
			}
		}

	    bool loaded;
		
		protected override void OnNavigatedTo(NavigationEventArgs e)
		{
            Debug.WriteLine("ProductsView OnNavigatedTo");
			base.OnNavigatedTo(e);

            if (!loaded)
            {
                DataContext = new ProductsViewModel(State);
                loaded = true;
            }
			
			ViewModel.LoadTransientState();
		}

		protected override void OnNavigatedFrom(NavigationEventArgs e)
		{
			base.OnNavigatedFrom(e);
			Debug.WriteLine("ProductsView OnNavigatedFrom");
			ViewModel.SaveTransientState();
		}
	}
}