﻿using System.ComponentModel;
using System.Windows.Navigation;

using DanielVaughan.Utilities;

using Microsoft.Phone.Controls;

namespace DanielVaughan.WindowsPhone7Unleashed.Examples.Sensors
{
	public partial class MediaLibraryImageView : PhoneApplicationPage
	{
		public MediaLibraryImageView()
		{
			InitializeComponent();

			DataContext = new MediaLibraryImageViewModel();
		}

		MediaLibraryImageViewModel ViewModel
		{
			get
			{
				return (MediaLibraryImageViewModel)DataContext;
			}
		}

		protected override void OnNavigatedTo(NavigationEventArgs e)
		{
			string imageName;
			if (NavigationContext.QueryString.TryGetValue("image", out imageName))
			{
				ViewModel.LoadImageCommand.Execute(imageName);
			}
			base.OnNavigatedTo(e);
		}

//		protected override void OnBackKeyPress(CancelEventArgs e)
//		{
//			ScreenCaptureUtility.CaptureImageToMediaLibrary(this);
//			e.Cancel = true;
//			base.OnBackKeyPress(e);
//		}
	}
}