﻿using System.ComponentModel;
using System.Windows.Navigation;

using DanielVaughan.Utilities;

using Microsoft.Phone.Controls;

namespace DanielVaughan.WindowsPhone7Unleashed.Examples.Sensors
{
	public partial class ThumbnailsView : PhoneApplicationPage
	{
		public ThumbnailsView()
		{
			InitializeComponent();

			DataContext = new ThumbnailsViewModel();
		}

		ThumbnailsViewModel ViewModel
		{
			get
			{
				return (ThumbnailsViewModel)DataContext;
			}
		}

		protected override void OnNavigatedTo(NavigationEventArgs e)
		{
			ViewModel.Populate();
			base.OnNavigatedTo(e);
		}

//		protected override void OnBackKeyPress(CancelEventArgs e)
//		{
//			ScreenCaptureUtility.CaptureImageToMediaLibrary(this);
//			e.Cancel = true;
//			base.OnBackKeyPress(e);
//		}
	}
}