﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;

namespace DanielVaughan.WindowsPhone7Unleashed.Examples.ControlExamples
{
	public class FlatListViewModel : ViewModelBase
	{
		readonly IEnumerable<City> cities = new List<City>
			{
				new City("Prague", "Capital of the Czech Republic."),
			    new City("Geneva", "Swiss city."),
				new City("Canberra", "Capital of Australia."),
				new City("Palma", "Major city of Mallorca."),
				new City("New York", "Most populous city in the USA."),
			};

		public IEnumerable<City> Cities
		{
			get
			{
				return cities;
			}
		}
	}
}
