﻿using System;
using System.Windows;
using System.Windows.Navigation;

using Microsoft.Phone.Controls;

namespace DanielVaughan.WindowsPhone7Unleashed.Examples
{
	public partial class WebBrowserView : PhoneApplicationPage
	{
		public WebBrowserView()
		{
			InitializeComponent();
			DataContext = new WebBrowserViewModel();
		}

		WebBrowserViewModel ViewModel
		{
			get
			{
				return (WebBrowserViewModel)DataContext;
			}
		}

        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
            base.OnNavigatedTo(e);

            string url;
            if (NavigationContext.QueryString.TryGetValue("url", out url)
                && url != null && url.ToLower() != "webbrowserview.xaml")
            {
                ViewModel.LoadPage(url);
            }
        }
	}
}