using System.ServiceModel;

namespace DanielVaughan.WindowsPhone7Unleashed.Services
{
	[ServiceContract(Namespace = "")]
	public interface IStockQuoteService
	{
		[OperationContract]
		void RegisterForStockQuoteNotifications(PushNotificationSubscriberId pushNotificationSubscriberId, string stockSymbol);

		[OperationContract]
		void UnregisterForStockQuoteNotifications(PushNotificationSubscriberId pushNotificationSubscriberId);

	    [OperationContract]
	    string TestServer(string foo);
	}

	public enum StockQuoteRegistrationResult
	{
		Ok,
		UnknownStockSymbol
	}
}
