﻿using System.Windows.Navigation;

using Microsoft.Phone.Controls;

namespace DanielVaughan.WindowsPhone7Unleashed.ReminderSetter
{
	public partial class ReminderView : PhoneApplicationPage
	{
		bool initialized;
		readonly ReminderViewModel viewModel;

		public ReminderView()
		{
			InitializeComponent();

			DataContext = viewModel = new ReminderViewModel();
		}

		protected override void OnNavigatedTo(NavigationEventArgs e)
		{
			base.OnNavigatedTo(e);

			if (initialized)
			{
				return;
			}
			initialized = true;

			string reminderId;
			if (NavigationContext.QueryString.TryGetValue(
					ReminderViewModel.IdQueryKey, out reminderId))
			{
				viewModel.LoadReminderCommand.Execute(reminderId);
			}
		}
	}
}