﻿using System;
using System.Data.Linq.Mapping;

using DanielVaughan.ComponentModel;

namespace DanielVaughan.WindowsPhone7Unleashed.TodoList
{
	[Table]
	public class TodoItem : NotifyPropertyChangeBase
	{
		int id;

		[Column(
			IsPrimaryKey = true,
			DbType = "INT IDENTITY NOT NULL",
			IsDbGenerated = true,
			UpdateCheck = UpdateCheck.Never)]
		public int Id
		{
			get
			{
				return id;
			}
			set
			{
				Assign("Id", ref id, value);
			}
		}

		string description;

		[Column]
		public string Description
		{
			get
			{
				return description;
			}
			set
			{
				Assign("Description", ref description, value);
			}
		}

		DateTime dueDate;

		[Column]
		public DateTime DueDate
		{
			get
			{
				return dueDate;
			}
			set
			{
				Assign("DueDate", ref dueDate, value);
			}
		}
	}
}
