﻿using System.IO;
using System.ServiceModel;
using System.ServiceModel.Web;

namespace WindowsPhone7Unleashed.BackgroundAgents.Web
{
	[ServiceContract(Namespace = "http://danielvaughan.org")]
	public interface IBackupService
	{
		[OperationContract, WebInvoke(
			Method = "POST", UriTemplate = "UploadFile/{userId}/{fileName}")]
		void SaveFile(string userId, string fileName, Stream fileStream);
	}
}
