﻿using System;

using Microsoft.Phone.BackgroundAudio;

namespace DanielVaughan.WindowsPhone7Unleashed.BackgroundAudio
{
	public interface IBackgroundAudioPlayer
	{
		void Close();
		void FastForward();
		void Pause();
		void Play();
		void Rewind();
		void SkipNext();
		void SkipPrevious();
		void Stop();
		double BufferingProgress { get; }
		bool CanPause { get; }
		bool CanSeek { get; }
		Exception Error { get; }
		PlayState PlayerState { get; }
		TimeSpan Position { set; get; }
		AudioTrack Track { set; get; }
		double Volume { set; get; }
		event EventHandler PlayStateChanged;
	}
}
