﻿using System.ComponentModel;

using Microsoft.Devices;

namespace DanielVaughan.WindowsPhone7Unleashed
{
	public static class EnvironmentValues
	{
		static bool? designTime;

		public static bool DesignTime
		{
			get
			{
				if (!designTime.HasValue)
				{
					designTime = (bool)DesignerProperties.IsInDesignTool;
				}
				return designTime.Value;
			}
		}

		static bool? usingEmulator;

		public static bool UsingEmulator
		{
			get
			{
				if (!usingEmulator.HasValue)
				{
					usingEmulator = Environment.DeviceType == DeviceType.Emulator;
				}
				return usingEmulator.Value;
			}
		}
	}
}
