using System.ComponentModel;

namespace DanielVaughan.Shell
{
    public interface ILockScreenManager : INotifyPropertyChanged
    {
        bool RunningUnderLockScreen
        {
            get;
        }

        bool RunningUnderLockScreenEnabled
        {
            get;
            set;
        }

        bool UserPrompted
        {
            get;
            set;
        }
    }
}