﻿using System;
using System.IO;
using System.Windows.Data;
using System.Windows.Media.Imaging;

namespace DanielVaughan.WindowsPhone7Unleashed.ValueConverters
{
	public class BitmapImageConverter : IValueConverter
	{
		public object Convert(object value, Type targetType, 
			object parameter, System.Globalization.CultureInfo culture)
		{
			UnmanagedMemoryStream memoryStream = (UnmanagedMemoryStream)value;
			BitmapImage bitmapImage = new BitmapImage();
			bitmapImage.SetSource(memoryStream);
			return bitmapImage;
		}

		public object ConvertBack(object value, Type targetType, 
			object parameter, System.Globalization.CultureInfo culture)
		{
			throw new NotImplementedException();
		}
	}
}
