﻿
using DanielVaughan.WindowsPhone7Unleashed.Localizability;

namespace DanielVaughan.WindowsPhone7Unleashed.Examples
{
	public class BindableResources
	{
		static readonly BindableChangeNotifier<MainResources> resources
			= new BindableChangeNotifier<MainResources>(new MainResources());

		public static BindableChangeNotifier<MainResources> Resources
		{
			get
			{
				return resources;
			}
		}

		public static void RaiseNotifyPropertyChanged()
		{
			resources.RaisePropertyChanged();
		}
	}
}
