﻿using System;
using System.Globalization;
using System.Windows.Data;

namespace DanielVaughan.WindowsPhone7Unleashed.Examples
{
	public class PushpinIconConverter : IValueConverter
	{
		public object Convert(
			object value, Type targetType, object parameter, CultureInfo culture)
		{
			PushpinIcon icon = (PushpinIcon)value;
			return new Uri(string.Format(
				"/BingMaps/Images/PushpinIcons/{0}.png", icon), UriKind.Relative);
		}

		public object ConvertBack(
			object value, Type targetType, object parameter, CultureInfo culture)
		{
			throw new NotImplementedException();
		}
	}
}