﻿using System.Device.Location;

namespace DanielVaughan.WindowsPhone7Unleashed.Examples
{
	public class PushpinViewModel
	{
		public object Text { get; private set; }
		public GeoCoordinate Location { get; private set; }
		public PushpinIcon Icon { get; private set; }

		public PushpinViewModel(
					object text, GeoCoordinate location, PushpinIcon icon)
		{
			Text = ArgumentValidator.AssertNotNull(text, "text");
			Location = location;
			Icon = icon;
		}
	}
}