﻿using System.Collections.Generic;
using System.Device.Location;

using Microsoft.Phone.Controls.Maps;
using Microsoft.Phone.Controls.Maps.Platform;

namespace DanielVaughan.WindowsPhone7Unleashed.Examples.BingMaps.Routing
{
	public class Route
	{
		readonly LocationCollection geoCoordinates = new LocationCollection();

		public IEnumerable<GeoCoordinate> GeoCoordinates
		{
			get
			{
				return geoCoordinates;
			}
		}

		public Route(IEnumerable<Location> locations)
		{
			ArgumentValidator.AssertNotNull(locations, "locations");
			
			foreach (var location in locations)
			{
				geoCoordinates.Add(location);
			}
		}
	}
}
