﻿using System.Diagnostics;
using System.Windows;
using System.Windows.Controls.Primitives;
using GestureEventArgs = System.Windows.Input.GestureEventArgs;

using Microsoft.Phone.Controls;

namespace DanielVaughan.WindowsPhone7Unleashed.Examples
{
	public partial class ButtonExampleView : PhoneApplicationPage
	{
		public ButtonExampleView()
		{
			InitializeComponent();
			DataContext = new ButtonExampleViewModel();
		}

		void ToggleButton_Tap(object sender, System.Windows.Input.GestureEventArgs e)
		{
			ToggleButton button = (ToggleButton)sender;
			Debug.WriteLine("IsChecked:" 
				+ (button.IsChecked.HasValue 
						? button.IsChecked.ToString() : "indeterminate"));
		}

		void ToggleButton_Checked(object sender, RoutedEventArgs e)
		{
			Debug.WriteLine("Checked");
		}

		void ToggleButton_Unchecked(object sender, RoutedEventArgs e)
		{
			Debug.WriteLine("Unchecked");
		}

		void ToggleButton_Indeterminate(object sender, RoutedEventArgs e)
		{
			Debug.WriteLine("Indeterminate");
		}

//        void Button_Tap(object sender, System.Windows.Input.GestureEventArgs e)
//		{
//			MessageBox.Show("Button Clicked!");
//		}
	    void Button_Tap(object sender, GestureEventArgs e)
	    {
            MessageBox.Show("Button Clicked!");
	    }
	}
}