﻿using System.Collections.ObjectModel;

namespace DanielVaughan.WindowsPhone7Unleashed
{
	public class DataboundPivotViewModel : ViewModelBase
	{
		public DataboundPivotViewModel() : base("Databound Pivot")
		{
			MockChatService chatService = new MockChatService();
			items.Add(new MessagesViewModel(chatService));
			items.Add(new SendMessageViewModel(chatService));
		}

		readonly ObservableCollection<ViewModelBase> items
			= new ObservableCollection<ViewModelBase>();

		public ObservableCollection<ViewModelBase> Items
		{
			get
			{
				return items;
			}
		}
	}
}