﻿using System;
using System.Windows;
using System.Windows.Controls;

namespace DanielVaughan.WindowsPhone7Unleashed
{
	public class TypeTemplateSelector : ContentControl
	{
		protected override void OnContentChanged(object oldContent, object newContent)
		{
			base.OnContentChanged(oldContent, newContent);
			if (newContent == null)
			{
				return;
			}
			Type newContentType = newContent.GetType();
			ContentTemplate = Application.Current.Resources[
				newContentType.Name + "Template"] as DataTemplate;
		}
	}
}