﻿namespace DanielVaughan.WindowsPhone7Unleashed
{
	public class PivotViewModel : ViewModelBase
	{
		public PivotViewModel() : base("Pivot")
		{
			MockChatService chatService = new MockChatService();
			sendMessageViewModel = new SendMessageViewModel(chatService);
			messagesViewModel = new MessagesViewModel(chatService);
		}

		SendMessageViewModel sendMessageViewModel;

		public SendMessageViewModel SendMessageViewModel
		{
			get
			{
				return sendMessageViewModel;
			}
			private set
			{
				Assign("SendMessageViewModel", ref sendMessageViewModel, value);
			}
		}

		MessagesViewModel messagesViewModel;

		public MessagesViewModel MessagesViewModel
		{
			get
			{
				return messagesViewModel;
			}
			private set
			{
				Assign("MessagesViewModel", ref messagesViewModel, value);
			}
		}
	}
}