﻿using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;

using Microsoft.Phone.Controls;

namespace DanielVaughan.WindowsPhone7Unleashed.Examples
{
    public partial class RichTextBoxView : PhoneApplicationPage
    {
        public RichTextBoxView()
        {
            InitializeComponent();
            DataContext = new RichTextBoxViewModel();
            Loaded += HandleLoaded;

            CreateRichTextBox();
        }

        void HandleLoaded(object sender, System.Windows.RoutedEventArgs e)
        {

        }

        void CreateRichTextBox()
        {
            RichTextBox richTextBox = new RichTextBox();

            /* Create a Run of plain text and some underlined bold text. */
            Run run1 = new Run {Text = "Hi from "};
            Underline underline = new Underline();
            Bold bold = new Bold();
            bold.Inlines.Add("Windows Phone");
            underline.Inlines.Add(bold);
            Run run2 = new Run {Text = "!"};

            /* Place the inlines in a paragraph. */
            Paragraph paragraph = new Paragraph();
            paragraph.Inlines.Add(run1);
            paragraph.Inlines.Add(underline);
            paragraph.Inlines.Add(run2);

            richTextBox.Blocks.Add(paragraph);

            ContentPanel.Children.Add(richTextBox);
        }

        void Button_Tap(object sender, System.Windows.Input.GestureEventArgs e)
        {
            foreach (Block block in richTextBox1.Blocks)
            {
                block.TextAlignment = TextAlignment.Right;
            }
            //            richTextBox1.SelectAll();
            //            richTextBox1.Selection.ApplyPropertyValue(Run.FontStyleProperty, FontStyles.Italic);
        }
    }
}