﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;

using DanielVaughan.WindowsPhone7Unleashed.Ebay;

namespace DanielVaughan.WindowsPhone7Unleashed
{
	public class SearchItemsCompleteEventArgs 
		: ResultEventArgs<ObservableCollection<Item>>
	{
		public string Query { get; private set; }

		public SearchItemsCompleteEventArgs(
			ObservableCollection<Item> result, string query, Exception error = null)
			: base(result, error)
		{
			Query = query;
		}
	}
}