﻿using DanielVaughan.Data;

namespace DanielVaughan.WindowsPhone7Unleashed.Examples
{
	public class BankingDatabaseUtility : DatabaseUtility
	{
		static string databaseFileName = "isostore:Banking.sdf";

		public BankingDatabaseUtility(string databaseFileName = null)
			: base(databaseFileName ?? BankingDatabaseUtility.databaseFileName)
		{
			/* Intentionally left blank. */
		}
		
		public static string DefaultDatabaseFileName
		{
			get
			{
				return databaseFileName;
			}
			set
			{
				databaseFileName = value;
			}
		}

		public BankingDataContext CreateContext()
		{
			BankingDataContext result = new BankingDataContext(ConnectionString);
			return result;
		}

		public void InitializeDatabase(bool wipe = false)
		{
			BankingDataContext dataContext = new BankingDataContext(ConnectionString);
			InitializeDatabase(dataContext, wipe);
		}
	}
}