﻿namespace DanielVaughan.WindowsPhone7Unleashed
{
	public class NetworkDetectionViewModel : ViewModelBase
	{
		public NetworkDetectionViewModel(INetworkConnectionMonitor monitor) 
		{
			monitor.NetworkConnectionChanged 
				+= delegate
				   	{
				   		NetworkConnectionType = monitor.NetworkConnectionType;
				   		Connected = monitor.Connected;
				   	};
		}

		NetworkConnectionType networkConnectionType;

		public NetworkConnectionType NetworkConnectionType
		{
			get
			{
				return networkConnectionType;
			}
			private set
			{
				Assign(() => NetworkConnectionType, ref networkConnectionType, value);
			}
		}

		bool connected;

		public bool Connected
		{
			get
			{
				return connected;
			}
			set
			{
				Assign("Connected", ref connected, value);
			}
		}
	}
}
