﻿using System;

namespace DanielVaughan.WindowsPhone7Unleashed
{
	public class ResultEventArgs<T> : EventArgs
	{
		public T Result { get; private set; }
		public Exception Error { get; private set; }

		public ResultEventArgs(T result, Exception error = null)
		{
			Result = result;
			Error = error;
		}
	}
}
