﻿using System.Data.Linq.Mapping;

using DanielVaughan.ComponentModel;

using Microsoft.Phone.Data.Linq.Mapping;

namespace DanielVaughan.WindowsPhone7Unleashed.Examples
{
	[Table]
	[Index(Columns = "ScreenName")]
	[Index(Name = "EmailAddressIndex", Columns = "EmailAddress", IsUnique = true)]
	public class TwitterFriend : NotifyPropertyChangeBase
	{
		string id;

		[Column(IsPrimaryKey = true)]
		public string Id
		{
			get
			{
				return id;
			}
			set
			{
				Assign("Id", ref id, value);
			}
		}

		string screenName;

		[Column]
		public string ScreenName
		{
			get
			{
				return screenName;
			}
			set
			{
				Assign("ScreenName", ref screenName, value);
			}
		}

		string emailAddress;

		[Column]
		public string EmailAddress
		{
			get
			{
				return emailAddress;
			}
			set
			{
				Assign("EmailAddress", ref emailAddress, value);
			}
		}
	}
}