﻿using System.Data.Linq;

using DanielVaughan.Data;

namespace DanielVaughan.WindowsPhone7Unleashed.Examples
{
	public class TwitterDataContext : DataContext
	{
		public TwitterDataContext(string connection) : base(connection)
		{
			Log = new DebugStreamWriter();
		}

		public Table<TwitterUser> TwitterUsers
		{
			get
			{
				return GetTable<TwitterUser>();
			}
		}

		public Table<TimelineItem> TimelineItems
		{
			get
			{
				return GetTable<TimelineItem>();
			}
		}

		//		public Table<TwitterFriend> TwitterFriends
		//		{
		//			get
		//			{
		//				return GetTable<TwitterFriend>();
		//			}
		//		}
	}
}
