﻿using System.Windows;
using System.Windows.Data;
using System.Windows.Navigation;

using Microsoft.Phone.Controls;
using Microsoft.Phone.Shell;

namespace DanielVaughan.WindowsPhone7Unleashed.Examples
{
	public partial class TwitterTimelineView : PhoneApplicationPage
	{
		public TwitterTimelineView()
		{
			InitializeComponent();
			DataContext = new TwitterTimelineViewModel(new TwitterService());
		    Loaded += HandleLoaded;
		}

	    void HandleLoaded(object sender, RoutedEventArgs e)
	    {
            //            var progressIndicator = SystemTray.ProgressIndicator;
            //            if (progressIndicator != null)
            //            {
            //                return;
            //            }
            //
            //            progressIndicator = new ProgressIndicator();
            //
            //            SystemTray.SetProgressIndicator(this, progressIndicator);
            //
            //            Binding binding = new Binding("Busy") { Source = ViewModel };
            //            BindingOperations.SetBinding(
            //                progressIndicator, ProgressIndicator.IsVisibleProperty, binding);
            //
            //            binding = new Binding("Busy") { Source = ViewModel };
            //            BindingOperations.SetBinding(
            //                progressIndicator, ProgressIndicator.IsIndeterminateProperty, binding);
            //
            //            binding = new Binding("Message") { Source = ViewModel };
            //            BindingOperations.SetBinding(
            //                progressIndicator, ProgressIndicator.TextProperty, binding);
	    }

	    TwitterTimelineViewModel ViewModel
		{
			get
			{
				return (TwitterTimelineViewModel)DataContext;
			}
		}

		protected override void OnNavigatedTo(NavigationEventArgs e)
		{
			base.OnNavigatedTo(e);

			string twitterName;
			if (NavigationContext.QueryString.TryGetValue("name", out twitterName))
			{
				ViewModel.LoadUserTimelineCommand.Execute(twitterName);
			}
		}
	}
}