﻿using System;
using System.Diagnostics;
using System.Threading;

using Microsoft.Phone.Controls;
using Microsoft.Phone.Shell;

namespace DanielVaughan.WindowsPhone7Unleashed.Examples
{
	public partial class ExecutionModelView : PhoneApplicationPage
	{
		public ExecutionModelView()
		{
			InitializeComponent();

			PhoneApplicationService.Current.Deactivated +=
				delegate
				{
					/* Save transient state like so: 
					 * PhoneApplicationService.Current.State["DataContractKey"] 
					 *		= DataContract; 
					 */

					/* Save persistent state like so: 
					 * IsolatedStorageSettings.ApplicationSettings["Key"] = someObject; */
					Debug.WriteLine("PhoneApplicationService Deactivated handled in page.");
				};
/* Pointless, as Activated event has occured before the subscription takes place. */
//			PhoneApplicationService.Current.Activated +=
//				delegate
//				{
//					/* Restore persistent state like so: 
//					 * someObject = IsolatedStorageSettings.ApplicationSettings["Key"]; */
//
//					/* Restore transient state like so: 
//					 * PhoneApplicationService.Current.State["DataContractKey"] 
//					 *		= DataContract; 
//					 */
//					Debug.WriteLine("PhoneApplicationService Activated handled in page.");
//				};
		}
	}
}