﻿using System;

namespace DanielVaughan.WindowsPhone7Unleashed.Examples
{
	public class ConventionalValidationViewModel : ViewModelBase
	{
		string validatedString1 = "WP7";

		public string ValidatedString1
		{
			get
			{
				return validatedString1;
			}
			set
			{
				if (string.IsNullOrEmpty(value))
				{
					throw new ArgumentException("Validated String 1 is required.");
				}
				validatedString1 = value;
			}
		}
		
		string validatedString2 = string.Empty;

		public string ValidatedString2
		{
			get
			{
				return validatedString2;
			}
			set
			{
				if (string.IsNullOrEmpty(value))
				{
					throw new ArgumentException("Validated String 2 is required.");
				}

				if (value.Length > 4)
				{
					throw new ArgumentException(
						"Validated String 2 length must be less than 4.");
				}
				validatedString2 = value;
			}
		}
	}
}
