﻿using System;
using System.Windows.Input;

using Microsoft.Phone.Tasks;

namespace DanielVaughan.WindowsPhone7Unleashed
{
	public class ShareLinkTaskViewModel : ViewModelBase
	{
        public ShareLinkTaskViewModel() : base("share link")
        {
            shareCommand = new DelegateCommand(arg => ShowTask());
        }

	    void ShowTask()
	    {
	        ShareLinkTask task = new ShareLinkTask
	            {
                    LinkUri = new Uri(linkUrl, UriKind.Absolute),
	                Title = linkTitle,
                    Message = linkMessage
	            };

	        task.Show();  
	    }

	    readonly DelegateCommand shareCommand;

		public ICommand ShareCommand
		{
			get
			{
				return shareCommand;
			}
		}

        string linkUrl = "http://linkd.in/jnFoqE";

	    public string LinkUrl
	    {
	        get
	        {
	            return linkUrl;
	        }
	        set
	        {
	            Assign(() => LinkUrl, ref linkUrl, value);
	        }
	    }

	    string linkMessage = "Interested in Windows Phone development? Join the Windows Phone Experts group on Linked-In!";

	    public string LinkMessage
	    {
	        get
	        {
	            return linkMessage;
	        }
	        set
	        {
	            Assign(() => LinkMessage, ref linkMessage, value);
	        }
	    }

        string linkTitle = "Check out the Windows Phone Experts group";

	    public string LinkTitle
	    {
	        get
	        {
	            return linkTitle;
	        }
	        set
	        {
	            Assign(() => LinkTitle, ref linkTitle, value);
	        }
	    }
	}
}
