﻿using System.Windows.Input;

using Microsoft.Phone.Tasks;

namespace DanielVaughan.WindowsPhone7Unleashed
{
	public class ShareStatusTaskViewModel : ViewModelBase
	{
        public ShareStatusTaskViewModel() : base("share status")
        {
            shareCommand = new DelegateCommand(arg => ShowTask());
        }

	    void ShowTask()
	    {
	        ShareStatusTask task = new ShareStatusTask();
	        task.Status = Status;
	        task.Show();  
	    }

	    readonly DelegateCommand shareCommand;

		public ICommand ShareCommand
		{
			get
			{
				return shareCommand;
			}
		}

        string status = "I'm loving the new features of the Windows Phone 7.5 API!";

	    public string Status
	    {
	        get
	        {
	            return status;
	        }
	        set
	        {
	            Assign(() => Status, ref status, value);
	        }
	    }
	}
}
