﻿using System.ComponentModel;
using System.Diagnostics;
using System.Threading;
using System.Windows.Navigation;

using DanielVaughan.Utilities;

using Microsoft.Phone.Controls;

namespace DanielVaughan.WindowsPhone7Unleashed.Examples.Sensors
{
	public partial class CaptureSourceView : PhoneApplicationPage
	{
		public CaptureSourceView()
		{
			InitializeComponent();

			DataContext = new CaptureSourceViewModel();
		}

		CaptureSourceViewModel ViewModel
		{
			get
			{
				return (CaptureSourceViewModel)DataContext;
			}
		}

		protected override void OnNavigatedTo(NavigationEventArgs e)
		{
			base.OnNavigatedTo(e);
		    Dispatcher.BeginInvoke(
                delegate
                    {
			            ViewModel.Start();
			            videoBrush_Preview.SetSource(ViewModel.CaptureSource);
                    });
		}

		protected override void OnNavigatedFrom(NavigationEventArgs e)
		{
			base.OnNavigatedFrom(e);
			ViewModel.Stop();
		}

        //		protected override void OnBackKeyPress(CancelEventArgs e)
        //		{
        //			ScreenCaptureUtility.CaptureImageToMediaLibrary(this);
        //			e.Cancel = true;
        //			base.OnBackKeyPress(e);
        //		}
	}
}