using System;
using System.Globalization;
using System.Windows.Data;

using Microsoft.Xna.Framework;

namespace DanielVaughan.WindowsPhone7Unleashed.Examples.Sensors
{
	public class RadiansToDegreesConverter : IValueConverter
	{
		public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
		{
			float f = System.Convert.ToSingle(value);
			float result = MathHelper.ToDegrees(f);
			return result;
		}

		public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
		{
			float f = (float)value;
			float result = MathHelper.ToRadians(f);
			return result;
		}
	}
}