﻿using System;
using System.Collections.Generic;
using System.Windows;
using System.Windows.Media;

using Microsoft.Phone.Controls;
using Microsoft.Phone.Controls.Primitives;

namespace DanielVaughan.WindowsPhone7Unleashed.Examples.ControlExamples
{
	public partial class CustomDatePickerView 
		: PhoneApplicationPage, IDateTimePickerPage
	{
		public CustomDatePickerView()
		{
			InitializeComponent();
			DataContext = new CustomDatePickerViewModel(
				() => NavigationService.GoBack());
		}

		CustomDatePickerViewModel ViewModel
		{
			get
			{
				return (CustomDatePickerViewModel)DataContext;
			}
		}

		public DateTime? Value
		{
			get
			{
				return ViewModel.Date;
			}
			set
			{
				ViewModel.Date = value;
			}
		}
	}
}