﻿using System;
using System.Collections.Generic;
using System.Linq;

namespace DanielVaughan.WindowsPhone7Unleashed.Examples.ControlExamples
{
	public class ListPickerViewModel : ViewModelBase
	{
		public ListPickerViewModel()
		{
			City = cities.First();
		}

		readonly IEnumerable<City> cities = new List<City>
			{
				new City("Prague", "Capital of the Czech Republic."),
			    new City("Geneva", "Swiss city."),
				new City("Canberra", "Capital of Australia."),
				new City("London", "Capital of the England."),
				new City("Palma", "Major city of Mallorca."),
				new City("Paris", "Capital of France."),
				new City("New York", "Most populous city in the USA."),
				new City("Los Angeles", "Most populous city in California.")
			};

		public IEnumerable<City> Cities
		{
			get
			{
				return cities;
			}
		}

		City city;

		public City City
		{
			get
			{
				return city;
			}
			set
			{
				Assign(() => City, ref city, value);
			}
		}
	}
}
