﻿using System.Threading;

namespace DanielVaughan.WindowsPhone7Unleashed.Examples.ControlExamples
{
	public class PerformanceProgressBarViewModel : ViewModelBase
	{
		Timer retryTimer;
		int timerPeriod = 4 * 1000; /* 4 seconds. */

		public PerformanceProgressBarViewModel()
		{
			retryTimer = new Timer(o => Busy = !Busy, null, timerPeriod, timerPeriod);
		}

		bool busy;

		public bool Busy
		{
			get
			{
				return busy;
			}
			private set
			{
				Assign(() => Busy, ref busy, value);
			}
		}
	}
}
