﻿using System;
using System.Globalization;
using System.Windows.Data;

namespace DanielVaughan.WindowsPhone7Unleashed.Examples.ControlExamples
{
	public class LocalizedToggleSwitchConverter : IValueConverter
	{
		public object Convert(
			object value, Type targetType, object parameter, CultureInfo culture)
		{
			bool? toggleOn = (bool?)value;
			return toggleOn.HasValue && toggleOn.Value 
			       	? MainResources.ToggleSwitch_Checked 
			       	: MainResources.ToggleSwitch_Unchecked;
		}

		public object ConvertBack(
			object value, Type targetType, object parameter, CultureInfo culture)
		{
			throw new NotImplementedException();
		}
	}
}