﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Threading;
using System.Windows;
using System.Windows.Media;

using Microsoft.Phone.Controls;

namespace DanielVaughan.WindowsPhone7Unleashed.Examples.ControlExamples
{
	public partial class ToggleSwitchView : PhoneApplicationPage
	{
		public ToggleSwitchView()
		{
			CultureInfo cultureInfo = new CultureInfo("fr-FR");
			Thread.CurrentThread.CurrentCulture = cultureInfo;
			Thread.CurrentThread.CurrentUICulture = cultureInfo;

			InitializeComponent();
			DataContext = new ToggleSwitchViewModel();
		}

		void ToggleSwitch_Checked(object sender, RoutedEventArgs e)
		{
			ToggleSwitch toggleSwitch = (ToggleSwitch)sender;
			bool? isChecked = toggleSwitch.IsChecked;
			/* Do something with value. */
			MessageBox.Show("Checked!");
		}

		void ToggleSwitch_Unchecked(object sender, RoutedEventArgs e)
		{
			MessageBox.Show("Unchecked!");
		}
	}
}