﻿using System;
using System.Diagnostics;
using System.Windows.Media;
using Microsoft.Phone.Controls;

using GestureEventArgs = System.Windows.Input.GestureEventArgs;

namespace DanielVaughan.WindowsPhone7Unleashed.Examples
{
    public partial class UIElementTouchEventsView : PhoneApplicationPage
    {
        public UIElementTouchEventsView()
        {
            InitializeComponent();
        }

        void HandleTap(object sender, GestureEventArgs e)
        {
            textBlock.Text = "tap";
        }

        void HandleDoubleTap(object sender, GestureEventArgs e)
        {
            textBlock.Text = "double tap";
        }

        void HandleHold(object sender, GestureEventArgs e)
        {
            TimeSpan duration = DateTime.Now - mouseDownTime;
            Debug.WriteLine("Duration: " + duration.TotalSeconds);
            textBlock.Text = "hold";
        }

        DateTime mouseDownTime;

        void Border_MouseLeftButtonDown(object sender, System.Windows.Input.MouseButtonEventArgs e)
        {
            mouseDownTime = DateTime.Now;
        }
    }
}