﻿//using System;
//using System.Windows.Media.Imaging;
//
//using Microsoft.Xna.Framework;
//
//namespace DanielVaughan.WindowsPhone7Unleashed
//{
//	public static class BitmapUtility
//	{
//		public static void FromByteArray(
//			this WriteableBitmap writeableBitmap, byte[] buffer)
//		{
//			Buffer.BlockCopy(buffer, 0, writeableBitmap.Pixels, 0, buffer.Length);
//		}
//
//
//		public static byte[] ToByteArray(this WriteableBitmap writableBitmap)
//		{
//			int[] pixels = writableBitmap.Pixels;
//			int arrayLength = pixels.Length * 4;
//			byte[] result = new byte[arrayLength];
//			Buffer.BlockCopy(pixels, 0, result, 0, arrayLength);
//			return result;
//		}
//
//		/// <summary>
//		/// Finds the edges of an image using the Sobel operator.
//		/// </summary>
//		/// <param name="bitmapSource">The bitmap source.</param>
//		/// <returns></returns>
//		public static WriteableBitmap FindEdgesUsingSobel(BitmapSource bitmapSource)
//		{
//			/* Sobel Matrices */
//			int[,] gx = new[,] { { -1, 0, 1 }, { -2, 0, 2 }, { -1, 0, 1 } };
//			int[,] gy = new[,] { { 1, 2, 1 }, { 0, 0, 0 }, { -1, -2, -1 } };
//
//			WriteableBitmap sourceBitmap = new WriteableBitmap(bitmapSource);
//			WriteableBitmap resultBitmap = new WriteableBitmap(bitmapSource);
//
//			for (int i = 1; i < bitmapSource.PixelHeight - 1; i++)
//			{
//				for (int j = 1; j < bitmapSource.PixelWidth - 1; j++)
//				{
//					float newX = 0;
//					float newY = 0;
//					float c;
//					for (int hw = -1; hw < 2; hw++)
//					{
//						for (int wi = -1; wi < 2; wi++)
//						{
//							int row = j + wi;
//							int column = i + hw;
//							int position = column * bitmapSource.PixelWidth + row;
//							int pixel = sourceBitmap.Pixels[position];
//							var bytes = BitConverter.GetBytes(pixel);
//							c = (bytes[0] + bytes[1] + bytes[2]) / 3;
//							newX += gx[hw + 1, wi + 1] * c;
//							newY += gy[hw + 1, wi + 1] * c;
//						}
//					}
//
//					int resultPosition = i * bitmapSource.PixelWidth + j;
//					int colorIntValue;
//
//					if (newX * newX + newY * newY > 16384 /* 128 * 128 */)
//					{
//						colorIntValue = ToInt(Color.White);
//					}
//					else
//					{
//						colorIntValue = ToInt(Color.Black);
//					}
//					resultBitmap.Pixels[resultPosition] = colorIntValue;
//				}
//			}
//
//			return resultBitmap;
//		}
//
//		static int ToInt(Color color)
//		{
//			return (color.A << 24) | (color.R << 16) 
//						| (color.G << 8) | (color.B << 0);
//		}
//	}
//}
