﻿using System.Collections.Generic;
using System.ServiceModel.Activation;

namespace DanielVaughan.WindowsPhone7Unleashed.Web.Services.Bookshop
{
	[AspNetCompatibilityRequirements(
		RequirementsMode = AspNetCompatibilityRequirementsMode.Allowed)]
	public class BookshopService : IBookshopService
	{
		public IEnumerable<Product> GetProducts()
		{
			return ProductManager.Products;
		}

		public Product GetProductById(int productId)
		{
			return ProductManager.GetProductById(productId);
		}
	}
}
