﻿using Microsoft.Xna.Framework;

namespace SilverlightXnaHybrid
{
    public class ModelMetadata
    {
        //General metadata
        public string Name { get; set; }
        public string Description { get; set; }
		public string Asset { get; set; }
        public bool IsContent { get; set; }

        //3D world display helpers
        public Matrix ViewMatrix { get; set; }
        public Matrix World { get; set; }
        public float DefaultYRotation { get; set; }
        public float DefaultXRotation { get; set; }

        public float FieldOfViewDivisor { get; set; }
        public float AspectRatio { get; set; }
        public float NearPlaneDistance { get; set; }
        public float FarPlaneDistance { get; set; }
    }
}
